---
title: WriteToServer
---

# MySqlBulkCopy.WriteToServer method (1 of 3)

Copies all rows in the supplied DataTable to the destination table specified by the [`DestinationTableName`](../DestinationTableName/) property of the [`MySqlBulkCopy`](../../MySqlBulkCopyType/) object.

```csharp
public void WriteToServer(DataTable dataTable)
```

## Remarks

This method is not available on `netstandard1.3`.

## See Also

* class [MySqlBulkCopy](../../MySqlBulkCopyType/)
* namespace [MySqlConnector](../../MySqlBulkCopyType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

---

# MySqlBulkCopy.WriteToServer method (2 of 3)

Copies all rows in the supplied IDataReader to the destination table specified by the [`DestinationTableName`](../DestinationTableName/) property of the [`MySqlBulkCopy`](../../MySqlBulkCopyType/) object.

```csharp
public void WriteToServer(IDataReader dataReader)
```

| parameter | description |
| --- | --- |
| dataReader | The IDataReader to copy from. |

## See Also

* class [MySqlBulkCopy](../../MySqlBulkCopyType/)
* namespace [MySqlConnector](../../MySqlBulkCopyType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

---

# MySqlBulkCopy.WriteToServer method (3 of 3)

Copies all rows in the supplied sequence of DataRow objects to the destination table specified by the [`DestinationTableName`](../DestinationTableName/) property of the [`MySqlBulkCopy`](../../MySqlBulkCopyType/) object. The number of columns to be read from the DataRow objects must be specified in advance.

```csharp
public void WriteToServer(IEnumerable<DataRow> dataRows, int columnCount)
```

| parameter | description |
| --- | --- |
| dataRows | The collection of DataRow objects. |
| columnCount | The number of columns to copy (in each row). |

## Remarks

This method is not available on `netstandard1.3`.

## See Also

* class [MySqlBulkCopy](../../MySqlBulkCopyType/)
* namespace [MySqlConnector](../../MySqlBulkCopyType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
