---
title: MySqlCommand
---

# MySqlCommand class

[`MySqlCommand`](../MySqlCommandType/) represents a SQL statement or stored procedure name to execute against a MySQL database.

```csharp
public sealed class MySqlCommand : DbCommand, ICloneable
```

## Public Members

| name | description |
| --- | --- |
| [MySqlCommand](../MySqlCommand/MySqlCommand/)() | Initializes a new instance of the [`MySqlCommand`](../MySqlCommandType/) class. |
| [MySqlCommand](../MySqlCommand/MySqlCommand/)(…) | Initializes a new instance of the [`MySqlCommand`](../MySqlCommandType/) class, setting [`CommandText`](../MySqlCommand/CommandText/) to *commandText*. (4 constructors) |
| override [CommandText](../MySqlCommand/CommandText/) { get; set; } |  |
| override [CommandTimeout](../MySqlCommand/CommandTimeout/) { get; set; } |  |
| override [CommandType](../MySqlCommand/CommandType/) { get; set; } |  |
| [Connection](../MySqlCommand/Connection/) { get; set; } |  |
| override [DesignTimeVisible](../MySqlCommand/DesignTimeVisible/) { get; set; } |  |
| [IsPrepared](../MySqlCommand/IsPrepared/) { get; } |  |
| [LastInsertedId](../MySqlCommand/LastInsertedId/) { get; } | Holds the first automatically-generated ID for a value inserted in an `AUTO_INCREMENT` column in the last statement. |
| [Parameters](../MySqlCommand/Parameters/) { get; } | The collection of [`MySqlParameter`](../MySqlParameterType/) objects for this command. |
| [Transaction](../MySqlCommand/Transaction/) { get; set; } |  |
| override [UpdatedRowSource](../MySqlCommand/UpdatedRowSource/) { get; set; } |  |
| override [Cancel](../MySqlCommand/Cancel/)() |  |
| [Clone](../MySqlCommand/Clone/)() |  |
| [CreateParameter](../MySqlCommand/CreateParameter/)() |  |
| override [DisposeAsync](../MySqlCommand/DisposeAsync/)() |  |
| override [ExecuteNonQuery](../MySqlCommand/ExecuteNonQuery/)() |  |
| override [ExecuteNonQueryAsync](../MySqlCommand/ExecuteNonQueryAsync/)(…) |  |
| [ExecuteReader](../MySqlCommand/ExecuteReader/)() |  |
| [ExecuteReader](../MySqlCommand/ExecuteReader/)(…) |  |
| [ExecuteReaderAsync](../MySqlCommand/ExecuteReaderAsync/)(…) |  (2 methods) |
| override [ExecuteScalar](../MySqlCommand/ExecuteScalar/)() |  |
| override [ExecuteScalarAsync](../MySqlCommand/ExecuteScalarAsync/)(…) |  |
| override [Prepare](../MySqlCommand/Prepare/)() |  |
| override [PrepareAsync](../MySqlCommand/PrepareAsync/)(…) |  |

## Protected Members

| name | description |
| --- | --- |
| override [DbConnection](../MySqlCommand/DbConnection/) { get; set; } |  |
| override [DbParameterCollection](../MySqlCommand/DbParameterCollection/) { get; } |  |
| override [DbTransaction](../MySqlCommand/DbTransaction/) { get; set; } |  |
| override [CreateDbParameter](../MySqlCommand/CreateDbParameter/)() |  |
| override [Dispose](../MySqlCommand/Dispose/)(…) |  |
| override [ExecuteDbDataReader](../MySqlCommand/ExecuteDbDataReader/)(…) |  |
| override [ExecuteDbDataReaderAsync](../MySqlCommand/ExecuteDbDataReaderAsync/)(…) |  |

## See Also

* namespace [MySqlConnector](../../MySqlConnectorNamespace/)
* assembly [MySqlConnector](../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
